Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16237)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16238)
@@ -228,6 +228,9 @@
     """
 
-    omit_fields = ('date_of_birth', 'current_level', 'current_mode',
-                   'entry_session')
+    omit_fields = ('date_of_birth',
+                   #'current_level',
+                   'current_mode',
+                   #'entry_session'
+                   )
 
     @property
@@ -247,5 +250,5 @@
 
     @property
-    def pre_text(self):
+    def pre_text_ug(self):
         return (
             'Following your performance in the screening exercise '
@@ -255,5 +258,12 @@
 
     @property
-    def post_text(self):
+    def pre_text_pg(self):
+        return (
+            'I am pleased to inform you that your application for admission'
+            ' into the Igbinedion University, Okada was successful. You have'
+            ' been admitted as follows:')
+
+    @property
+    def post_text_ug(self):
         return """
 Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and Health certificate from a recognized Medical Centre.
@@ -300,4 +310,54 @@
 """
 
+    @property
+    def post_text_pg(self):
+        return """
+1. Details of your programme will be made available to you by the Head of your Department on your arrival at the Igbinedion University.
+
+2. This offer is conditional upon the confirmation of your qualifications as listed by you in your application form. You will be required to produce the ORIGINAL COPIES of all your certificates for verification during registration. If at any time after admission, it is discovered that you do not possess any of the qualifications upon which this offer of admission was made, you will be required to withdraw from the University.
+
+3. If you accept this offer of admission upon the conditions above, you should please:
+
+(a) Complete the enclosed Acceptance Form of Provisional Offer of Admission in duplicate and send  by registered mail or by hand to the
+
+Secretary
+School of Postgraduate Studies and Research
+Igbinedion University,
+P.M.B. 0006,
+Benin City, Edo State,
+Nigeria
+
+(b)	Forward the following along with the Acceptance Form of Provisional Offer of Admission.
+
+(i) A non-refundable deposit of N100,000.00 (One Hundred Thousand Naira Only) which is part of the School fees: Payable Online.
+
+(ii) Four recent passport-size photograph of yourself with your full-names (surname first in BLOCK LETTERS) written on the reverse side of the photograph and pinned to the Acceptance Form.
+
+4. The following will be required for Registration:
+
+(a) A medical examination to be conducted by an approved medical practitioner. On your arrival at the Igbinedion University, you should submit the enclosed Igbinedion University Medical Examination Form duly completed and signed by an approved medical practitioner together with your chest X-ray film to Director of Health Service at the Igbinedion University, Okada.
+
+(b) The original copies of all credentials listed in your application form (including NYSC discharge/exemption certificate) should be brought for sighting.
+
+5. You are required to pay the necessary fees and register for your degree programme not later than three weeks from the beginning of the Academic Session. Late registration may be allowed during an additional period of five weeks on payment of a late registration fees. Please note that you will be allowed to register after two months have elapsed from the beginning of the sessions.
+
+6. Please find attached:
+
+(a) A copy of School fees Regime
+(b) A copy of Acceptance Forms
+
+7. Note:
+
+(a) All Tuition fees are to be paid online
+(b) Post-graduate dues and other charges are to be paid into ABC Microfinance Bank Okada, Account No: 30125
+
+8.  CONGRATULATIONS!!!
+
+Yours faithfully,
+
+Mr. Olaoke, Olasoji Oluwole
+Secretary, School of Postgraduate Studies & Research
+"""
+
     def render(self):
         students_utils = getUtility(IStudentsUtils)
@@ -305,11 +365,21 @@
             os.path.dirname(__file__), 'static', 'watermark.pdf')
         watermark = open(watermark_path, 'rb')
+        if self.context.is_postgrad:
+            file_path = os.path.join(
+                os.path.dirname(__file__), 'static', 'admission_letter_pg.pdf')
+            file = open(file_path, 'rb')
+            mergefiles = [file,]
+            return students_utils.renderPDFAdmissionLetter(self,
+                self.context.student, omit_fields=self.omit_fields,
+                pre_text=self.pre_text_pg, post_text=self.post_text_pg,
+                mergefiles=mergefiles,
+                watermark=watermark)
         file_path = os.path.join(
-            os.path.dirname(__file__), 'static', 'admission_letter.pdf')
+            os.path.dirname(__file__), 'static', 'admission_letter_ug.pdf')
         file = open(file_path, 'rb')
         mergefiles = [file,]
         return students_utils.renderPDFAdmissionLetter(self,
             self.context.student, omit_fields=self.omit_fields,
-            pre_text=self.pre_text, post_text=self.post_text,
+            pre_text=self.pre_text_ug, post_text=self.post_text_ug,
             mergefiles=mergefiles,
             watermark=watermark)
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16237)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16238)
@@ -140,4 +140,5 @@
 
     def test_student_admission_letter(self):
+        self.certificate.study_mode = 'pg_ft'
         # Student cant login if their password is not set
         IWorkflowInfo(self.student).fireTransition('admit')