Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py	(revision 16245)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py	(revision 16246)
@@ -53,5 +53,10 @@
             'etranzact_payoutlet_enabled', False)
     except KeyError:
-        return False
+        session = datetime.now().year
+        try:
+            return getattr(grok.getSite()['configuration'][str(session)],
+                'etranzact_payoutlet_enabled', False)
+        except KeyError:
+            return False
 
 class EtranzactEnterPinActionButtonApplicant(APABApplicant):
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py	(revision 16245)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py	(revision 16246)
@@ -44,5 +44,10 @@
             'etranzact_webconnect_enabled', False)
     except KeyError:
-        return False
+        session = datetime.now().year
+        try:
+            return getattr(grok.getSite()['configuration'][str(session)],
+                'etranzact_webconnect_enabled', False)
+        except KeyError:
+            return False
 
 class EtranzactActionButtonStudent(ManageActionButton):
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/tests.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/tests.py	(revision 16245)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/tests.py	(revision 16246)
@@ -197,5 +197,5 @@
     def test_applicant_views(self):
         # Manager can access Etranzact form
-        self.browser.getLink("Pay via Etranzact").click()
+        self.browser.getLink("Pay via Etranzact WebConnect").click()
         self.assertTrue("Pay now" in self.browser.contents)
         # Means of testing end here.
@@ -203,5 +203,5 @@
         self.payment.p_id = TID
         self.browser.open(self.payment_url)
-        self.browser.getLink("Requery Etranzact History").click()
+        self.browser.getLink("Requery Etranzact WebConnect History").click()
         self.assertTrue('Wrong checksum.' in self.browser.contents)
         # ... probably because responseurl of the transaction stored in the
@@ -242,5 +242,5 @@
     def test_student_views(self):
         # Manager can access Etranzact form
-        self.browser.getLink("Pay via Etranzact").click()
+        self.browser.getLink("Pay via Etranzact WebConnect").click()
         self.assertTrue("Pay now" in self.browser.contents)
         # Means of testing end here.
@@ -248,5 +248,5 @@
         self.payment.p_id = TID
         self.browser.open(self.payment_url)
-        self.browser.getLink("Requery Etranzact History").click()
+        self.browser.getLink("Requery Etranzact WebConnect History").click()
         self.assertTrue('Wrong checksum.' in self.browser.contents)
         # ... probably because responseurl and amount stored in the
@@ -258,10 +258,10 @@
     @external_test
     def test_student_payoutlet_views(self):
-        self.browser.getLink("Enter Etranzact PIN").click()
+        self.browser.getLink("Pay via Etranzact PayOutlet").click()
         self.browser.getControl(name="confirmation_number").value = '600854291572447457669'
         self.browser.getControl("Submit to Etranzact").click()
         # This response is strange
         self.assertTrue('-3:Wrong Setup' in self.browser.contents)
-        self.browser.getLink("Enter Etranzact PIN").click()
+        self.browser.getLink("Pay via Etranzact PayOutlet").click()
         # This confirmation number exists
         self.browser.getControl(name="confirmation_number").value = '500854291572447457669'
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py	(revision 16245)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py	(revision 16246)
@@ -45,5 +45,10 @@
             'interswitch_enabled', True)
     except KeyError:
-        return False
+        session = datetime.now().year
+        try:
+            return getattr(grok.getSite()['configuration'][str(session)],
+                'interswitch_enabled', True)
+        except KeyError:
+            return False
 
 class InterswitchActionButtonStudent(ManageActionButton):
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py	(revision 16245)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py	(revision 16246)
@@ -45,5 +45,10 @@
             'remita_enabled', False)
     except KeyError:
-        return False
+        session = datetime.now().year
+        try:
+            return getattr(grok.getSite()['configuration'][str(session)],
+                'remita_enabled', False)
+        except KeyError:
+            return False
 
 # Buttons