Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/applicants/tests/test_browser.py	(revision 16291)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/applicants/tests/test_browser.py	(revision 16292)
@@ -93,4 +93,5 @@
         self.browser.getControl(name="form.sex").value = ['m']
         self.browser.getControl(name="form.email").value = 'xx@yy.zz'
+        self.browser.getControl(name="form.perm_address").value = 'Adresse'
 
     def test_manage_application(self):
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 16291)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 16292)
@@ -218,4 +218,5 @@
         self.browser.getControl(name="form.sex").value = ['m']
         self.browser.getControl(name="form.email").value = 'xx@yy.zz'
+        self.browser.getControl(name="form.perm_address").value = 'Adresse'
 
     def setUp(self):
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16291)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16292)
@@ -143,3 +143,3 @@
 
 msgid "Personal Data of"
-msgstr "Registration Bio Data of"
+msgstr "Course Registration Clearance of"
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16291)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16292)
@@ -154,4 +154,5 @@
     """Deliver a PDF base and personal data slip.
     """
+    grok.name('course_registration_clearance.pdf')
     omit_fields = (
         'phone', 'email',
@@ -164,4 +165,13 @@
     form_fields = grok.AutoFields(ICustomStudentPersonal)
 
+    def _signatures(self):
+        return ([('I certify that the above named student has satisfied the financial requirements for registration.', 'Name and Signature of Bursary Staff', '<br><br>')],
+                [('I certify that the credentials of the student have been screened by me and the student is hereby cleared.', 'Name and Signature of Registry Staff', '<br><br>')],
+                [('I certify that the above named student has registered with the Library.', 'Name and Signature of Library Staff', '<br><br>')],
+                [('I certify that the above named student has been registered with the college. ', 'Name and Signature of College Officer', '<br><br>')],
+                [('I certify that the above named student has completed his/her ICT registration. ', 'Name and Signature of ICT Staff', '<br><br>')],
+                [('Eligibility/Congratulation Station', 'Name and Signature of Registrar', '')],
+                )
+
     def render(self):
         studentview = StudentBasePDFFormPage(self.context.student,
@@ -169,17 +179,21 @@
         students_utils = getUtility(IStudentsUtils)
 
-        watermark_path = os.path.join(
-            os.path.dirname(__file__), 'static', 'watermark.pdf')
-        watermark = open(watermark_path, 'rb')
-        file_path = os.path.join(
-            os.path.dirname(__file__), 'static', 'biodataPage2.pdf')
-        file = open(file_path, 'rb')
-        mergefiles = [file,]
+        #watermark_path = os.path.join(
+        #    os.path.dirname(__file__), 'static', 'watermark.pdf')
+        #watermark = open(watermark_path, 'rb')
+        #file_path = os.path.join(
+        #    os.path.dirname(__file__), 'static', 'biodataPage2.pdf')
+        #file = open(file_path, 'rb')
+        #mergefiles = [file,]
+
         return students_utils.renderPDF(
-            self, 'personal_slip.pdf',
+            self, 'course_registration_clearance.pdf',
             self.context.student, studentview,
             omit_fields=self.omit_fields,
-            mergefiles=mergefiles,
-            watermark=watermark)
+            signatures=self._signatures(),
+            pagebreak=True,
+        #    mergefiles=mergefiles,
+        #    watermark=watermark
+            )
 
 class CustomAccommodationDisplayFormPage(NigeriaAccommodationDisplayFormPage):
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16291)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16292)
@@ -158,11 +158,11 @@
         # Students can open base data slip
         # (no button available in base package)
-        pdf_url = '%s/personal_slip.pdf' % self.student_path
+        pdf_url = '%s/course_registration_clearance.pdf' % self.student_path
         self.browser.open(pdf_url)
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
-        path = os.path.join(samples_dir(), 'personal_slip.pdf')
+        path = os.path.join(samples_dir(), 'course_registration_clearance.pdf')
         open(path, 'wb').write(self.browser.contents)
-        print "Sample PDF personal_slip.pdf written to %s" % path
+        print "Sample PDF course_registration_clearance.pdf written to %s" % path
 
     def test_student_admission_letter(self):