Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16295)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16296)
@@ -174,8 +174,40 @@
                 )
 
+    @property
+    def tabletitle(self):
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
+        tabletitle = []
+        tabletitle.append(translate(_('_PB_Successful Current Session Payments'), 'waeup.kofa',
+            target_language=portal_language))
+        return tabletitle
+
     def render(self):
         studentview = StudentBasePDFFormPage(self.context.student,
             self.request, self.omit_fields)
         students_utils = getUtility(IStudentsUtils)
+
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
+        P_ID = translate(_('Payment Id'), 'waeup.kofa', target_language=portal_language)
+        #CD = translate(_('Creation Date'), 'waeup.kofa', target_language=portal_language)
+        PD = translate(_('Payment Date'), 'waeup.kofa', target_language=portal_language)
+        CAT = translate(_('Payment Category'), 'waeup.kofa', target_language=portal_language)
+        ITEM = translate(_('Payment Item'), 'waeup.kofa', target_language=portal_language)
+        AMT = translate(_('Amount (Naira)'), 'waeup.kofa', target_language=portal_language)
+        SSS = translate(_('Payment Session'), 'waeup.kofa', target_language=portal_language)
+        tabledata = []
+        tableheader = []
+        tabledata.append(sorted(
+            [value for value in self.context['payments'].values()
+             if value.p_state in ('paid', 'waived', 'scholarship')
+             and value.p_session >= value.student.current_session],
+             key=lambda value: value.p_session))
+        tableheader.append([(P_ID,'p_id', 4.2),
+                         #(CD,'creation_date', 3),
+                         (PD,'formatted_p_date', 3),
+                         (CAT,'category', 3),
+                         (ITEM, 'p_item', 3),
+                         (AMT, 'amount_auth', 2),
+                         (SSS, 'p_session', 2),
+                         ])
 
         #watermark_path = os.path.join(
@@ -192,4 +224,8 @@
             omit_fields=self.omit_fields,
             signatures=self._signatures(),
+
+            tableheader=tableheader,
+            tabledata=tabledata,
+
             pagebreak=True,
         #    mergefiles=mergefiles,
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16295)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16296)
@@ -19,4 +19,6 @@
 import shutil
 import tempfile
+from time import time
+from datetime import datetime, timedelta
 from StringIO import StringIO
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowInfo
@@ -151,4 +153,26 @@
 
     def test_student_personal_slip(self):
+        payment1 = createObject(u'waeup.StudentOnlinePayment')
+        timestamp = ("%d" % int(time()*10000))[1:]
+        payment1.p_id = "LSCNEW-2-4153206270" # the longest possible p_id
+        payment1.p_category = 'schoolfee'
+        payment1.p_item = u'My School Fee'
+        payment1.p_session = 2015
+        payment1.p_level = 100
+        payment1.p_current = True
+        payment1.amount_auth = 23456.9
+        payment1.approve()
+        payment2 = createObject(u'waeup.StudentOnlinePayment')
+        timestamp = ("%d" % int(time()*10000))[1:]
+        payment2.p_id = "p%s" % timestamp
+        payment2.p_category = 'clearance'
+        payment2.p_item = u'My Clearance Fee'
+        payment2.p_session = 2015
+        payment2.p_level = 100
+        payment2.p_current = True
+        payment2.amount_auth = 5678.6
+        payment2.approve()
+        self.student['payments'][payment1.p_id] = payment1
+        self.student['payments'][payment2.p_id] = payment2
         IWorkflowState(self.student).setState('school fee paid')
         self.browser.open(self.login_path)