Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 16319)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 16323)
@@ -370,4 +370,10 @@
         )
 
+    eed_extra_fee = schema.Float(
+        title = _(u'EED Extra Fee'),
+        default = 0.0,
+        required = True,
+        )
+
     olevel_results_1_fee = schema.Float(
         title = _(u'O Level Results Verification 1'),
@@ -486,4 +492,10 @@
     conv_fee = schema.Float(
         title = _(u'Convocation Pack'),
+        default = 0.0,
+        required = True,
+        )
+
+    facilities_fee = schema.Float(
+        title = _(u'Facilities Upgrade Fee'),
         default = 0.0,
         required = True,
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 16319)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 16323)
@@ -178,4 +178,8 @@
             xmldict['institution_acct'] = '0039782431'
             xmldict['institution_bank_id'] = '11'
+        elif self.context.p_category == 'eed_extra':
+            self.pay_item_id = '000'
+            xmldict['institution_acct'] = '0039782431'
+            xmldict['institution_bank_id'] = '11'
         elif self.context.p_category == 'olevel_results_1':
             self.pay_item_id = '113'
@@ -202,4 +206,20 @@
         elif self.context.p_category == 'lsfp_penalty':
             self.pay_item_id = '102'
+            xmldict['institution_acct'] = '1012808851'
+            xmldict['institution_bank_id'] = '117'
+        elif self.context.p_category == 'eng_1':
+            self.pay_item_id = '118'
+            xmldict['institution_acct'] = '2024473077'
+            xmldict['institution_bank_id'] = '8'
+        elif self.context.p_category == 'eng_2':
+            self.pay_item_id = '119'
+            xmldict['institution_acct'] = '2024473077'
+            xmldict['institution_bank_id'] = '8'
+        elif self.context.p_category == 'bfn':
+            self.pay_item_id = '125'
+            xmldict['institution_acct'] = '0048039049'
+            xmldict['institution_bank_id'] = '11'
+        elif self.context.p_category == 'facilities':
+            self.pay_item_id = '000'
             xmldict['institution_acct'] = '1012808851'
             xmldict['institution_bank_id'] = '117'
@@ -293,20 +313,4 @@
 </payment_item_detail>""" % xmldict
 
-        if self.context.p_category == 'eng_1':
-            self.pay_item_id = '118'
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="8" acct_num="2024473077" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
-        if self.context.p_category == 'eng_2':
-            self.pay_item_id = '119'
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="8" acct_num="2024473077" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
         if self.context.p_category == 'sbs_1':
             self.pay_item_id = '120'
@@ -335,12 +339,4 @@
 <item_detail item_id="1" item_name="SBS Dues II" item_amt="%(amt1)d" bank_id="11" acct_num="0010772626" />
 <item_detail item_id="2" item_name="ABSOBS" item_amt="%(amt2)d" bank_id="8" acct_num="2008185712" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
-        if self.context.p_category == 'bfn':
-            self.pay_item_id = '125'
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="11" acct_num="0048039049" />
 </item_details>
 </payment_item_detail>""" % xmldict
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 16319)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 16323)
@@ -110,4 +110,5 @@
         'eed_1': 'EED 1 Fee',
         'eed_2': 'EED 2 Fee',
+        'eed_extra': 'EED Extra Fee',
         'olevel_results_1': 'O Level Results Verification 1',
         'olevel_results_2': 'O Level Results Verification 2',
@@ -130,4 +131,5 @@
         'lsfp_penalty':'Late School Fee Payment Penalty',
         'conv':'Convocation Pack',
+        'facilities':'Facilities Upgrade',
         }
 
@@ -180,4 +182,5 @@
         'eed_1': 'EED 1 Fee',
         'eed_2': 'EED 2 Fee',
+        'eed_extra': 'EED Extra Fee',
         'olevel_results_1': 'O Level Results Verification 1',
         'olevel_results_2': 'O Level Results Verification 2',
@@ -200,4 +203,5 @@
         'lsfp_penalty':'Late School Fee Payment Penalty',
         'conv':'Convocation Pack',
+        'facilities':'Facilities Upgrade',
         }
 