Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16327)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16329)
@@ -2217,8 +2217,4 @@
         return
 
-    #@action(_('Add online payment ticket'))
-    #def addPaymentTicket(self, **data):
-    #    self.redirect(self.url(self.context, '@@addop'))
-
 class OnlinePaymentAddFormPage(KofaAddFormPage):
     """ Page to add an online payment ticket
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 16327)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 16329)
@@ -640,5 +640,5 @@
             omit=['display_item', 'certificate', 'student']))) + (
             'student_id','matric_number','reg_number',
-            'firstname', 'middlename', 'lastname',
+            'firstname', 'middlename', 'lastname','sex',
             'state','current_session',
             'entry_session', 'entry_mode',
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16327)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16329)
@@ -4243,5 +4243,5 @@
             '666,12.12,2012-12-13 00:00:00#,schoolfee,[],1,my-id,p-item,100,%s,'
             'paid,2012-12-13 00:00:00#,12.12,r-code,,K1000000,234,123,Anna,,'
-            'Tester,created,2004,2004,,fac1,dep1,CERT1'
+            'Tester,,created,2004,2004,,fac1,dep1,CERT1'
             %(curr_year-6) in self.browser.contents)
         self.assertEqual(len(self.app['datacenter'].running_exports), 1)
@@ -4290,5 +4290,5 @@
             '666,12.12,2012-12-13 00:00:00#,schoolfee,[],1,my-id,p-item,100,%s,'
             'paid,2012-12-13 00:00:00#,12.12,r-code,,K1000000,234,123,Anna,,'
-            'Tester,created,2004,2004,,fac1,dep1,CERT1'
+            'Tester,,created,2004,2004,,fac1,dep1,CERT1'
             %(curr_year-6) in self.browser.contents)
 
@@ -4649,5 +4649,5 @@
             '666,12.12,2012-12-13 00:00:00#,schoolfee,[],1,my-id,p-item,100,%s,'
             'paid,2012-12-13 00:00:00#,12.12,r-code,,K1000000,234,123,Anna,,'
-            'Tester,created,2004,2004,,fac1,dep1,CERT1'
+            'Tester,,created,2004,2004,,fac1,dep1,CERT1'
             %(curr_year-6) in self.browser.contents)
         # ... and discarded
@@ -4676,5 +4676,5 @@
             '666,12.12,2012-12-13 00:00:00#,schoolfee,[],1,my-id,p-item,100,%s,'
             'paid,2012-12-13 00:00:00#,12.12,r-code,,K1000000,234,123,Anna,,'
-            'Tester,created,2004,2004,,fac1,dep1,CERT1'
+            'Tester,,created,2004,2004,,fac1,dep1,CERT1'
             %(curr_year-6) in self.browser.contents)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 16327)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 16329)
@@ -1197,9 +1197,9 @@
             'p_level,p_session,p_state,payment_date,r_amount_approved,r_code,'
             'r_desc,student_id,matric_number,reg_number,firstname,middlename,lastname,'
-            'state,current_session,entry_session,entry_mode,faccode,depcode,certcode\r\n'
+            'sex,state,current_session,entry_session,entry_mode,faccode,depcode,certcode\r\n'
 
             '666,12.12,%s-04-01 13:12:01#,schoolfee,[],1,my-id,p-item,100,%s,'
             'paid,%s-04-01 14:12:01#,12.12,r-code,,A111111,234,123,'
-            'Anna,M.,Tester,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
+            'Anna,M.,Tester,,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
             % (curr_year-6, curr_year-6, curr_year-6)
             )
@@ -1255,12 +1255,12 @@
             'ac,amount_auth,creation_date,p_category,p_combi,p_current,p_id,p_item,'
             'p_level,p_session,p_state,payment_date,r_amount_approved,r_code,'
-            'r_desc,student_id,matric_number,reg_number,firstname,middlename,lastname,'
+            'r_desc,student_id,matric_number,reg_number,firstname,middlename,lastname,sex,'
             'state,current_session,entry_session,entry_mode,faccode,depcode,certcode\r\n'
             'abc,12.12,%s-04-01 13:12:01#,bed_allocation,[],1,id1,xyz,100,%s,'
             'paid,%s-04-01 14:12:01#,12.12,cde,,A111111,234,123,'
-            'Anna,M.,Tester,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
+            'Anna,M.,Tester,,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
             'abc,12.12,%s-04-01 13:12:01#,hostel_maintenance,[],1,id2,xyz,100,%s,'
             'paid,%s-04-01 14:12:01#,12.12,cde,,A111111,234,123,'
-            'Anna,M.,Tester,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
+            'Anna,M.,Tester,,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
             % (curr_year-6, curr_year-6, curr_year-6,
                curr_year-6, curr_year-6, curr_year-6)