Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 16329)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 16330)
@@ -179,5 +179,5 @@
         self.browser.getControl("Save").click()
         IWorkflowState(self.applicant).setState('submitted')
-        self.browser.open(self.manage_path)
+        self.browser.open(self.view_path)
         self.browser.getLink("Download application slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -219,5 +219,5 @@
         self.browser.getControl("Save").click()
         IWorkflowState(self.applicant).setState('submitted')
-        self.browser.open(self.manage_path)
+        self.browser.open(self.view_path)
         self.browser.getLink("Download application slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -241,5 +241,5 @@
         self.browser.getControl("Save").click()
         IWorkflowState(self.applicant).setState('submitted')
-        self.browser.open(self.manage_path)
+        self.browser.open(self.view_path)
         self.browser.getLink("Download application slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -277,5 +277,5 @@
         configuration.application_fee = 0.0
         self.app['configuration'].addSessionConfiguration(configuration)
-        self.browser.getControl("Add online payment ticket").click()
+        self.browser.getControl("Create and make online").click()
         self.assertMatches('...Payment ticket created...',
                            self.browser.contents)
@@ -284,5 +284,5 @@
         self.browser.open(self.view_path)
         self.assertTrue('Group Registration @ ₦ 200000' in self.browser.contents)
-        self.browser.open(self.manage_path)
+        self.browser.open(self.view_path)
         self.browser.getLink("Download application slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -348,5 +348,5 @@
         file_ctrl.add_file(image, filename='myphoto.jpg')
         self.browser.getControl("Save").click()
-        self.browser.getControl("Add online payment ticket").click()
+        self.browser.getControl("Create and make online").click()
         self.assertTrue('Payment ticket created' in self.browser.contents)
         self.assertTrue('<span>40000.0</span>' in self.browser.contents)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 16329)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 16330)
@@ -62,4 +62,5 @@
         self.assertMatches('...ticket created...',
                            self.browser.contents)
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         self.value = ctrl.options[0]
@@ -124,4 +125,5 @@
         #self.browser.getControl("Create ticket").click()
 
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[1]
@@ -179,4 +181,5 @@
         self.browser.getControl(name="form.p_category").value = ['gown']
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[2]
@@ -278,4 +281,5 @@
         self.browser.getControl(name="form.balance_amount").value = '200'
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[3]
@@ -303,4 +307,5 @@
         self.browser.getControl(name="form.p_category").value = ['jupeb']
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[4]
@@ -385,4 +390,5 @@
         self.browser.getControl(name="form.p_category").value = ['schoolfee']
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         # Pay first ticket
         self.student['payments'][self.value].approve()
@@ -480,5 +486,5 @@
         #IWorkflowState(self.student).setState('started')
         super(InterswitchTestsApplicants, self).fill_correct_values()
-        self.browser.getControl("Add online").click()
+        self.browser.getControl("Create and make online").click()
         self.assertMatches('...passport photo before making payment...',
                            self.browser.contents)
@@ -492,5 +498,5 @@
         file_ctrl.add_file(image, filename='myphoto.jpg')
         self.browser.getControl("Save").click()
-        self.browser.getControl("Add online").click()
+        self.browser.getControl("Create and make online").click()
         self.assertMatches('...ticket created...',
                            self.browser.contents)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 16329)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 16330)
@@ -237,4 +237,5 @@
         self.browser.getControl(name="form.password").value = 'spwd'
         self.browser.getControl("Login").click()
+        self.browser.open(self.student_path)
         self.browser.getLink("Download examination schedule slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -316,7 +317,4 @@
         self.assertMatches('...ticket created...',
                            self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[0]
-        self.browser.getLink(value).click()
         self.assertMatches('...Amount Authorized...',
                            self.browser.contents)
@@ -348,41 +346,9 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        #self.browser.getControl(
-        #    name="form.p_category").value = ['tempmaint_1']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...You have not yet paid the hostel application fee...',
-        #                   self.browser.contents)
-        #self.browser.open(self.payments_path + '/addop')
-        #self.browser.getControl(name="form.p_category").value = ['hostel_application']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...ticket created...',
-        #                   self.browser.contents)
-        #ha_ticket = self.student['payments'].values()[2]
-        #ha_ticket.approve()
-        #self.browser.open(self.payments_path + '/addop')
-        #self.browser.getControl(
-        #    name="form.p_category").value = ['tempmaint_1']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...ticket created...',
-        #                   self.browser.contents)
-        #self.browser.open(self.payments_path + '/addop')
-        #self.browser.getControl(
-        #    name="form.p_category").value = ['tempmaint_2']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...ticket created...',
-        #                   self.browser.contents)
-        #self.browser.open(self.payments_path + '/addop')
-        #self.browser.getControl(
-        #    name="form.p_category").value = ['tempmaint_3']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...ticket created...',
-        #                   self.browser.contents)
-        #self.browser.open(self.payments_path + '/addop')
-
         self.browser.getControl(name="form.p_category").value = ['clearance']
         self.browser.getControl("Create ticket").click()
         self.assertMatches('...ticket created...',
                            self.browser.contents)
-        self.assertTrue('<td>60000.0</td>' in self.browser.contents)
+        self.assertTrue('<span>60000.0</span>' in self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['schoolfee']