Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 16353)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 16354)
@@ -220,7 +220,4 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[0]
-        self.browser.getLink(self.value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
         # 50200 + 1000 + 500 - 400
@@ -261,7 +258,4 @@
         self.assertTrue('ticket created' in
                            self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[0]
-        self.browser.getLink(self.value).click()
         self.assertTrue('Amount Authorized' in
                            self.browser.contents)
@@ -302,7 +296,4 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in  self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[0]
-        self.browser.getLink(self.value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
         # 40200 + 2000 + 800 - 400
@@ -333,7 +324,4 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[0]
-        self.browser.getLink(self.value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
         self.assertTrue('<span>43050.0</span>' in self.browser.contents)
@@ -362,7 +350,4 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in  self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[0]
-        self.browser.getLink(self.value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
         self.assertTrue(
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 16353)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 16354)
@@ -170,4 +170,5 @@
         self.browser.getControl(name="form.p_category").value = ['clearance_incl']
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         cpt_value = ctrl.options[0]
@@ -181,4 +182,5 @@
                            self.browser.contents)
         # ... but not paid through the query_history page.
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         sfpt_value = ctrl.options[1]
@@ -269,4 +271,5 @@
         self.assertTrue('ticket created' in self.browser.contents)
         # ... approve the second instalment ...
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         p_id = ctrl.options[1]
@@ -329,4 +332,5 @@
         self.browser.getControl(name="form.p_category").value = ['schoolfee_incl']
         self.browser.getControl("Create ticket").click()
+        self.browser.open(self.payments_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[0]
@@ -555,4 +559,5 @@
         self.assertMatches('...ticket created...', self.browser.contents)
         self.app['configuration']['2004'].payment_disabled = ['sf_all']
+        self.browser.open(self.payments_path)
         self.browser.getLink("Add current session payment ticket").click()
         self.browser.getControl(name="form.p_category").value = ['schoolfee_incl']
@@ -566,4 +571,5 @@
         self.assertMatches('...ticket created...', self.browser.contents)
         self.certificate.study_mode = 'ug_pt'
+        self.browser.open(self.payments_path)
         self.browser.getLink("Add current session payment ticket").click()
         self.browser.getControl(name="form.p_category").value = ['schoolfee_incl']
@@ -577,4 +583,5 @@
         self.assertMatches('...ticket created...', self.browser.contents)
         self.certificate.study_mode = 'special_pg_ft'
+        self.browser.open(self.payments_path)
         self.browser.getLink("Add current session payment ticket").click()
         self.browser.getControl(name="form.p_category").value = ['schoolfee']
@@ -1391,4 +1398,5 @@
         self.browser.getControl(name="form.password").value = 'spwd'
         self.browser.getControl("Login").click()
+        self.browser.open(self.student_path)
         self.browser.getLink("Download examination schedule slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -1397,5 +1405,5 @@
         open(path, 'wb').write(self.browser.contents)
         print "Sample PDF examination_schedule_slip.pdf written to %s" % path
-        # If flash_notive does not contain exam' the button does not show up.
+        # If flash_notice does not contain exam' the button does not show up.
         self.student.flash_notice = u'anything'
         self.browser.open(self.student_path)