Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 16356)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 16367)
@@ -502,4 +502,53 @@
         )
 
+    sas_1_fee = schema.Float(
+        title = _(u'SAS Pack I'),
+        default = 0.0,
+        required = True,
+        )
+
+    sas_2_fee = schema.Float(
+        title = _(u'SAS Pack II'),
+        default = 0.0,
+        required = True,
+        )
+
+    com_fee = schema.Float(
+        title = _(u'COM Pack'),
+        default = 0.0,
+        required = True,
+        )
+
+    sta_fee = schema.Float(
+        title = _(u'STA Pack'),
+        default = 0.0,
+        required = True,
+        )
+
+    slt_1_fee = schema.Float(
+        title = _(u'SLT Pack 1'),
+        default = 0.0,
+        required = True,
+        )
+
+    slt_2_fee = schema.Float(
+        title = _(u'SLT Pack 2'),
+        default = 0.0,
+        required = True,
+        )
+
+    lis_fee = schema.Float(
+        title = _(u'LIS Pack'),
+        default = 0.0,
+        required = True,
+        )
+
+    htm_fee = schema.Float(
+        title = _(u'HTM Pack'),
+        default = 0.0,
+        required = True,
+        )
+
+
     def getSessionString():
         """Returns the session string from the vocabulary.
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 16356)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 16367)
@@ -469,4 +469,121 @@
 </payment_item_detail>""" % xmldict
 
+        if self.context.p_category == 'sas_1':
+            self.pay_item_id = '158'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmldict['amt3'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="SAS Dues" item_amt="%(amt1)d" bank_id="11" acct_num="0038956822" />
+<item_detail item_id="2" item_name="Handbook Fee" item_amt="%(amt2)d" bank_id="11" acct_num="0010772626" />
+<item_detail item_id="3" item_name="Association Due" item_amt="%(amt3)d" bank_id="8" acct_num="3069091989" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'sas_2':
+            self.pay_item_id = '159'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="SAS Dues" item_amt="%(amt1)d" bank_id="11" acct_num="0038956822" />
+<item_detail item_id="2" item_name="Association Due" item_amt="%(amt2)d" bank_id="8" acct_num="3069091989" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'com':
+            self.pay_item_id = '160'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="11" acct_num="0010787594" />
+<item_detail item_id="2" item_name="NACOS " item_amt="%(amt2)d" bank_id="8" acct_num="3047146881" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'sta':
+            self.pay_item_id = '161'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="11" acct_num="0048794281" />
+<item_detail item_id="2" item_name="NASS " item_amt="%(amt2)d" bank_id="8" acct_num="203000173" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'slt_1':
+            self.pay_item_id = '162'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmldict['amt3'] = 100 * 3000
+            xmldict['amt4'] = 100 * 500
+            xmldict['amt5'] = 100 * 3000
+            xmldict['amt6'] = 100 * 2000
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="8" acct_num="2033492885" />
+<item_detail item_id="2" item_name="Association Due" item_amt="%(amt2)d" bank_id="11" acct_num="0115800071" />
+<item_detail item_id="3" item_name="Professional Due" item_amt="%(amt3)d" bank_id="8" acct_num="2033492885" />
+<item_detail item_id="4" item_name="Prospectus" item_amt="%(amt4)d" bank_id="8" acct_num="2033492885" />
+<item_detail item_id="5" item_name="Practical Manual" item_amt="%(amt4)d" bank_id="8" acct_num="2033492885" />
+<item_detail item_id="6" item_name="Lab. Coat" item_amt="%(amt4)d" bank_id="8" acct_num="2033492885" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'slt_2':
+            self.pay_item_id = '163'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmldict['amt3'] = 100 * 3000
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="8" acct_num="2033492885" />
+<item_detail item_id="2" item_name="Association Due" item_amt="%(amt2)d" bank_id="11" acct_num="0115800071" />
+<item_detail item_id="3" item_name="Practical Manual" item_amt="%(amt3)d" bank_id="8" acct_num="2033492885" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'lis':
+            self.pay_item_id = '164'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="" acct_num="0068264131" />
+<item_detail item_id="2" item_name="Association Due" item_amt="%(amt2)d" bank_id="" acct_num="" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        if self.context.p_category == 'htm':
+            self.pay_item_id = '165'
+            # amount_auth is being ignored. However, the sum of all split payments
+            # must coincide with the amount_auth configured in students/utils.py
+            xmldict['amt1'] = 100 * 500
+            xmldict['amt2'] = 100 * 500
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="Departmental Due" item_amt="%(amt1)d" bank_id="" acct_num="0068264131" />
+<item_detail item_id="2" item_name="Association Due" item_amt="%(amt2)d" bank_id="" acct_num="" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 16356)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 16367)
@@ -127,4 +127,12 @@
         'pom':'POM Pack',
         'hrm':'HRM Pack',
+        'sas_1':'SAS Pack I',
+        'sas_2':'SAS Pack II',
+        'com':'COM Pack',
+        'sta':'STA Pack',
+        'slt_1':'SLT Pack I',
+        'slt_2':'SLT Pack II',
+        'lis':'LIS Pack',
+        'htm':'HTM Pack',
         'hndgrad':'HND Final Clearance Pack',
         'ndgrad':'ND Final Clearance Pack',
@@ -199,4 +207,12 @@
         'pom':'POM Pack',
         'hrm':'HRM Pack',
+        'sas_1':'SAS Pack I',
+        'sas_2':'SAS Pack II',
+        'com':'COM Pack',
+        'sta':'STA Pack',
+        'slt_1':'SLT Pack I',
+        'slt_2':'SLT Pack II',
+        'lis':'LIS Pack',
+        'htm':'HTM Pack',
         'hndgrad':'HND Final Clearance Pack',
         'ndgrad':'ND Final Clearance Pack',