Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 16393)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 16412)
@@ -4,4 +4,7 @@
 1.6.1.dev0 (unreleased)
 =======================
+
+* Allow lecturers to export all course tickets, not only
+  those of current academic session.
 
 * Disable clearance request button if not in state 'clearance started'.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16393)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16412)
@@ -4429,12 +4429,20 @@
         return
 
+    # Disabled on 10/03/21
+    #def _set_session_values(self):
+    #    # We allow only current academic session
+    #    academic_session = grok.getSite()['configuration'].current_academic_session
+    #    if not academic_session:
+    #        self.sessions = []
+    #        return
+    #    x = academic_sessions_vocab.getTerm(academic_session)
+    #    self.sessions = [(x.title, x.token)]
+    #    return
+
     def _set_session_values(self):
-        # We allow only current academic session
-        academic_session = grok.getSite()['configuration'].current_academic_session
-        if not academic_session:
-            self.sessions = []
-            return
-        x = academic_sessions_vocab.getTerm(academic_session)
-        self.sessions = [(x.title, x.token)]
+        vocab_terms = academic_sessions_vocab.by_value.values()
+        self.sessions = sorted(
+            [(x.title, x.token) for x in vocab_terms], reverse=True)
+        self.sessions += [('All Sessions', 'all')]
         return
 
@@ -4449,11 +4457,12 @@
         self._set_mode_values()
         self._set_exporter_values()
-        if not self.sessions:
-            self.flash(
-                _('Academic session not set. '
-                  'Please contact the administrator.'),
-                type='danger')
-            self.redirect(self.url(self.context))
-            return
+        # Disabled on 10/03/21
+        #if not self.sessions:
+        #    self.flash(
+        #        _('Academic session not set. '
+        #          'Please contact the administrator.'),
+        #        type='danger')
+        #    self.redirect(self.url(self.context))
+        #    return
         if START is None:
             return
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 16393)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 16412)
@@ -114,5 +114,6 @@
     """Get course tickets of `students`.
     Filter course tickets which belong to this course code and
-    which are editable by lecturers.
+    which are editable by lecturers. The latter requirement was disabled
+    on 10/03/21.
     """
     tickets = []
@@ -124,6 +125,7 @@
             if ticket.code != code:
                 continue
-            if not ticket.editable_by_lecturer:
-                continue
+            # Disabled on 10/03/21
+            #if not ticket.editable_by_lecturer:
+            #    continue
             if level not in ('all', None):
                 if level_obj.level in (10, 999, None)  \
@@ -545,6 +547,6 @@
     tickets catalog and exports those course tickets which belong to the
     given course code, meet level and session passed through at the
-    same time, and which are editable by lecturers. This exporter can only
-    be called at course level in the academic section.
+    same time, and which are editable by lecturers (disabled on 10/03/21).
+    This exporter can only be called at course level in the academic section.
     """
     grok.name('lecturer')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/student.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 16393)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 16412)
@@ -235,7 +235,7 @@
     @property
     def current_verdict(self):
-        level = getattr(
+        current_verdict = getattr(
             self.get('studycourse', None), 'current_verdict', None)
-        return level
+        return current_verdict
 
     @property
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16393)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16412)
@@ -4520,9 +4520,10 @@
         self.browser.open(course1_path)
         self.browser.getLink("Export student data").click()
-        self.browser.getControl("Set export parameters").click()
-        self.assertTrue(
-            'Academic session not set. Please contact the administrator.'
-            in self.browser.contents)
-        self.app['configuration'].current_academic_session = 2004
+        # Disabled on 10/03/21
+        #self.browser.getControl("Set export parameters").click()
+        #self.assertTrue(
+        #    'Academic session not set. Please contact the administrator.'
+        #    in self.browser.contents)
+        #self.app['configuration'].current_academic_session = 2004
         self.browser.getControl("Set export parameters").click()
         self.browser.getControl(name="exporter").value = ['lecturer']