Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 16413)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 16414)
@@ -41,5 +41,5 @@
     OMIT_DISPLAY_FIELDS
     )
-from waeup.fceokene.applicants.schools import SCHOOLS
+from waeup.fceokene.applicants.schools_pandemic import SCHOOLS
 from waeup.fceokene.interfaces import MessageFactory as _
 
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py	(revision 16414)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py	(revision 16414)
@@ -0,0 +1,106 @@
+SCHOOLS = {
+    's0010': ('Zone 01','Otite, Ogaminana, Obangede','Adavi Local Govt. Science Secondary School, Nagazi, Eba'),
+    's0030': ('Zone 01','Otite, Ogaminana, Obangede','Al-Jamal Model Nur/Pry School, Eika-Adagu New Layout'),
+    's0040': ('Zone 01','Otite, Ogaminana, Obangede','Amazing Grace International Schl Nagazi Uvete (Primary Section)'),
+    's0041': ('Zone 01','Otite, Ogaminana, Obangede','Amazing Grace International Schl Nagazi Uvete (Secondary Section)'),
+
+    's0130': ('Zone 01','Otite, Ogaminana, Obangede','Christ The Redeemer Nursery And Primary School Otite'),
+    's0290': ('Zone 01','Otite, Ogaminana, Obangede','NIOMCO Staff Secondary School, Itakpe'),
+    's0310': ('Zone 01','Otite, Ogaminana, Obangede','Premier International College New Zango, Ogaminana'),
+    's0320': ('Zone 01','Otite, Ogaminana, Obangede','Prince Of Peace Academy Ogaminana, After New Zango Oziokutu '),
+    's0370': ('Zone 01','Otite, Ogaminana, Obangede','sheffiyat Sunshine N/Pry, Eika Adagu'),
+    's0470': ('Zone 02','Okene Metropolis','Demonstration Standard College, Onyukoko- Okene'),
+    's0540': ('Zone 04','Okengwe Ihima','Government Day Secondary School, Ohueta-Ihima'),
+    's1398': ('Zone 01','Otite, Ogaminana, Obangede','Adavi Local Govt. Science Secondary School, Ozuri'),
+    's1406': ('Zone 03','Kuroko-Inoziomi-GRA','Al-Manaar Academy N/P School, Inoziomi'),
+    's1689': ('Zone 02','Okene Metropolis','DEMONSTRATION STANDARD COLLEGE ONYUKOKO OKENE'),
+    's1699': ('Zone 02','Okene Metropolis','OKENE SECONDARY SCHOOL, OKENE (OSS)'),
+    's0390': ('Zone 01','Otite, Ogaminana, Obangede','Triumph Academy, Nagazi-Uvete'),
+    's0240': ('Zone 01','Otite, Ogaminana, Obangede','Hilltop Group Of School, Eika, Adagu'),
+    's1454': ('Zone 01','Otite, Ogaminana, Obangede','Okomayi Nur/Pry School, Otite'),
+    's1455': ('Zone 01','Otite, Ogaminana, Obangede','start Smart Academy, Eika Adagu, Behind Camp 2'),
+          
+    's0190': ('Zone 01','Otite, Ogaminana, Obangede','FCE Staff Nur And Primary School'),
+    's0180': ('Zone 01','Otite, Ogaminana, Obangede','FCE Demonstration School (Sec. Section)'),
+    's0181': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Demonstration Secondary School, Eika Adagu, Otite'),
+
+    's0110': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Pry Section), Eika Adagu'),
+    's0120': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Secondary Section), Eika Adagu'),
+    's1498': ('Zone 04','Okengwe Ihima','Victory Nursery & Pry. School, Ikuehi-Ihima'),
+    's1399': ('Zone 01','Otite, Ogaminana, Obangede','Khadnet Academy, Behind GSSS, Ogaminana, Eika-Adagu New-Layout'),
+    's0160': ('Zone 01','Otite, Ogaminana, Obangede','Ebira Community Secondary School, Ogaminana'),
+    's0250': ('Zone 01','Otite, Ogaminana, Obangede','LGEA School, Eika Adagu'),
+    's0510': ('Zone 03','Kuroko-Inoziomi-GRA','Mirror Science & Tecnnical Academy, Kuroku Idakatapa'),
+    's0460': ('Zone 02','Okene Metropolis','Abdulazeez Attah Memorial College (Aaamco)'),
+    's0500': ('Zone 03','Kuroko-Inoziomi-GRA','Government Day Secondary School, Inoziomi'),
+    's0501': ('Zone 01','Otite, Ogaminana, Obangede','success College, Ozuri'),
+    's0230': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Nursery/Pry School, Nagazi'),
+    's0070': ('Zone 01','Otite, Ogaminana, Obangede','AS-Sabur International School, Eika Adagu'),
+    's0071': ('Zone 01','Otite, Ogaminana, Obangede','Al-Fataah Nur/Pry School, Eika Adagu'),
+    's0372': ('Zone 01','Otite, Ogaminana, Obangede','LGEA School Esunku, Ozuri'),
+           
+    's0383': ('Zone 02','Okene Metropolis','LGEA School, IROVUCHEBA'),
+    's0380': ('Zone 01','Otite, Ogaminana, Obangede','LGEA School, Ozuri'),
+    's0381': ('Zone 01','Otite, Ogaminana, Obangede','UBE JSS, Ozuri'),
+    's0382': ('Zone 01','Otite, Ogaminana, Obangede','UKA Nur/Pry School, Ozuri'),
+    's0300': ('Zone 01','Otite, Ogaminana, Obangede','DEDAP Precious Nursery/Primary School, Ozuri'),
+    's0385': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Science School, Ozuri'),
+    's0384': ('Zone 01','Otite, Ogaminana, Obangede','UBE JSS, Idatochi'),
+    's1451': ('Zone 01','Otite, Ogaminana, Obangede','De-Icon Stars International School, Kabba Junction'),
+    's1461': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Catholic School, Okaito'),
+    's1462': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Catholic School, Apipa Okaito'),
+    's1463': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Catholic School, Osode Okaito'),
+    's1465': ('Zone 01','Otite, Ogaminana, Obangede','LGEA School, Okaito eba road'),
+    's0230': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Strong Foundation School, Ubeba Nagazi'),
+
+    's0231': ('Zone 04','Okengwe Ihima','Government Day Secondary School, Ohueta-Ihima'),
+    's1464': ('Zone 01','Otite, Ogaminana, Obangede','UNIQUE Wisdom Group of Schools Nagazi-Uvete'),
+    's1470': ('Zone 01','Otite, Ogaminana, Obangede','Amazing Breeze International Secondary Section, Nagazi'),
+    's1668': ('Zone 01','Otite, Ogaminana, Obangede','WISDOM BASED GROUP OF SCHOOLS, NAGAZI-EBA'),
+    's1669': ('Zone 01','Otite, Ogaminana, Obangede','shining Star Academy, Nagazi Uvete'),
+    's0090': ('Zone 01','Otite, Ogaminana, Obangede','Best Brain School Nur/Pry And College, Nagazi-Eba Ogaminana'),
+    's1700': ('Zone 02','Okene Metropolis','QUEENS OF APOSTOLIC COLLEGE OKENE'),
+    's1688': ('Zone 02','Okene Metropolis','COLLEGE OF ARABIC & ISLAMIC STUDIES OKENE (CAISO)'),
+    's1489': ('Zone 03','Kuroko-Inoziomi-GRA','Community Secondary School, Kuroko'),
+    's0580': ('Zone 04','Okengwe Ihima','Okehi Community Secondary School, Arigo'),
+    's1698': ('Zone 02','Okene Metropolis','LOCAL GOVERNMENT SECONDARY SCHOOL (LGSS), AGASSA'),
+    's0210': ('Zone 01','Otite, Ogaminana, Obangede','Government Science Secondary School, Ogaminana '),
+    's1692': ('Zone 02','Okene Metropolis','GOVERNMENT DAY SECONDARY SCHOOL, IROVUCHEBA'),
+    's1481': ('Zone 02','Okene Metropolis','Etahi Community Secondary School, ETAHI'),
+    's1693': ('Zone 02','Okene Metropolis','GOVERNMENT SECONDARY SCHOOL, OKENE (FORMAL OTC)'),
+    's1706': ('Zone 03','Kuroko-Inoziomi-GRA','GOVERNMENT SECONDARY SCHOOL, KUROKO'),
+    's1707': ('Zone 03','Kuroko-Inoziomi-GRA','soladad International School, GRA, Okene'),
+
+    's0570': ('Zone 04','Okengwe Ihima','Okehi Community Secondary School (OCSS), Oboroke-Ihima'),
+    's1714': ('Zone 04','Okengwe Ihima','LENNON MEMORIAL COLLEGE AGEVA'),
+    's1403': ('Zone 02','Okene Metropolis','Local Govt. Secondary School, Ohiana'),
+    's1404': ('Zone 02','Okene Metropolis','Government Day Secondary School, Ahache'),
+    's1414': ('Zone 02','Okene Metropolis','Government Day Secondary School, Okunch'),
+    
+    's1499': ('Zone 04','Okengwe Ihima','Ihima Community Science Secondary School (ICSSS), Ihima'),
+    's0300': ('Zone 01','Otite, Ogaminana, Obangede','Precious Memorial Nursery/Primary School, Otite'),
+    's0301': ('Zone 01','Otite, Ogaminana, Obangede','Unity Model Secondary School, FCE Otite'),
+    's1652': ('Zone 01','Otite, Ogaminana, Obangede','ECOMS INTERNATIONAL SCHOOL, NAGAZI UVETE'),
+              
+    's1647': ('Zone 01','Otite, Ogaminana, Obangede','MICA Comprehensive College Idatochi, Ogaminana'),
+    's1648': ('Zone 04','Okengwe Ihima','Trinity College, Ihima'),
+    's1724': ('Zone 04','Okengwe Ihima','Ebira Muslim Community College, OKENGWE'),
+    's1649': ('Zone 01','Otite, Ogaminana, Obangede','Ebivision Unity Academy (Secondary School), Otite'),
+    's0011': ('Zone 01','Otite, Ogaminana, Obangede','science Leadership Eika Adagu, Otite'),
+    's0440': ('Zone 01','Otite, Ogaminana, Obangede','Monarch International Nur/Pry School, Eika Adagu'),
+    's1448': ('Zone 01','Otite, Ogaminana, Obangede','UBE/Junior Secondary School, Eika Adagu New Layout'),
+    's1484': ('Zone 02','Okene Metropolis','Government Girls Secondary School, Otutu'),
+    's1487': ('Zone 02','Okene Metropolis','UBE JSS Karaworo, Okene'),
+
+    's1696': ('Zone 02','Okene Metropolis','LGEA CENTRAL SCHOOL, OKENE'),
+    's1697': ('Zone 02','Okene Metropolis','LGEA Model Central Nur/Pry School, OKENE'),
+    's1659': ('Zone 01','Otite, Ogaminana, Obangede','Ajovunu Nur/Pry School, NAGAZI UVETE'),
+    's1467': ('Zone 01','Otite, Ogaminana, Obangede','Community Model College, Okaito'),
+    's1462': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Adavi-Eba'),
+    's0151': ('Zone 01','Otite, Ogaminana, Obangede','Divine Kiddies Group of Schools, Itakpe'),
+    's1512': ('Zone 04','Okengwe Ihima','Ebira Muslim College Ikuehi, Ihima'),
+    's1653': ('Zone 01','Otite, Ogaminana, Obangede','Khan Academy Day Care Nur/Pry School, Kabba Junction'),
+    's1655': ('Zone 01','Otite, Ogaminana, Obangede','Okomayi Secondary School, Otite'),
+    's1656': ('Zone 04','Okengwe Ihima','Ruhul-Islam College of Arabic Islamic Studies, Adavi-Eba'),
+    's1657': ('Zone 04','Okengwe Ihima','Community Secondary School, Ege'),
+}